package com.ruoyi.ss.transferDetail.service;

import com.ruoyi.ss.transferDetail.domain.TransferDetail;
import com.ruoyi.ss.transferDetail.domain.TransferDetailQuery;
import com.ruoyi.ss.transferDetail.domain.TransferDetailVO;

import java.util.List;

/**
 * 转账明细Service接口
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public interface ITransferDetailService
{
    /**
     * 查询转账明细
     *
     * @param detailId 转账明细主键
     * @return 转账明细
     */
    public TransferDetailVO selectTransferDetailByDetailId(Long detailId);

    /**
     * 查询转账明细列表
     *
     * @param transferDetail 转账明细
     * @return 转账明细集合
     */
    public List<TransferDetailVO> selectTransferDetailList(TransferDetailQuery transferDetail);

    /**
     * 新增转账明细
     *
     * @param transferDetail 转账明细
     * @return 结果
     */
    public int insertTransferDetail(TransferDetail transferDetail);

    /**
     * 修改转账明细
     *
     * @param transferDetail 转账明细
     * @return 结果
     */
    public int updateTransferDetail(TransferDetail transferDetail);

    /**
     * 批量删除转账明细
     *
     * @param detailIds 需要删除的转账明细主键集合
     * @return 结果
     */
    public int deleteTransferDetailByDetailIds(Long[] detailIds);

    /**
     * 删除转账明细信息
     *
     * @param detailId 转账明细主键
     * @return 结果
     */
    public int deleteTransferDetailByDetailId(Long detailId);

    /**
     * 批量新增
     * @param list
     */
    int batchInsert(List<TransferDetailVO> list);

    /**
     * 条件更新
     */
    int updateByQuery(TransferDetail data, TransferDetailQuery query);

}
